/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PtovtaEmpresa;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class PtovtaEmpresaRender implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PtovtaEmpresa ptoVta = (PtovtaEmpresa) o;

        Listcell lc = new Listcell(ptoVta.getEmpresa() == null ? " - " : ptoVta.getEmpresa().getNombempresa());
        lc.setParent(lstm);
        
        lc = new Listcell(ptoVta.getIndTerceirizada() != null && ptoVta.getIndTerceirizada() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		
		lc = new Listcell(ptoVta.getIndBloqueada() != null && ptoVta.getIndBloqueada() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);
		
		lc = new Listcell(ptoVta.getIndBloqueada() != null ? ptoVta.getNumeroSitef() : "");
		lc.setParent(lstm);
		
		lc = new Listcell(ptoVta.getEmpresaContaBancaria() != null ? ptoVta.getEmpresaContaBancaria().toString() : "");
		lc.setParent(lstm);
		
		lc = new Listcell(ptoVta.getIndMostrarCaja() != null && ptoVta.getIndMostrarCaja() ? Labels.getLabel("MSG.SI") : Labels.getLabel("MSG.NO"));
		lc.setParent(lstm);

        lstm.setAttribute("data", ptoVta);

    }
}
